Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#250 Support for WSDL 2.0

open
nobody
None
8
2010-03-05
2010-03-05
Robert Strauch
No

SoapUI Pro up to version 3.5 only supports WSDLs in version 1.1. As all of our upcoming projects will probably be migrated to WSDL version 2.0, SoapUI should be enhanced to support this version.

WSDL 2.0 defined by W3C in 2007:
http://www.w3.org/TR/wsdl20

Discussion

  • Robert Strauch
    Robert Strauch
    2010-03-05

    • priority: 5 --> 8
     
  • Robert Strauch
    Robert Strauch
    2010-03-05

    Changed priority to 8 as this issue is essential for us in the decision of further usage of SoapUI.

     
  • SoapUI version 4.0 doesn't currently support WSDL 2.0 either. Is this feature request planned any time soon?

     
  • I'm pretty surprised SOAPUI doesn't support it!
    I would need it too...